# Uses of Class
org.apache.zookeeper.server.ServerCnxnFactory

Packages that use ServerCnxnFactory
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.command
org.apache.zookeeper.server.controller
org.apache.zookeeper.server.quorum

## Uses of ServerCnxnFactory in org.apache.zookeeper.server

Subclasses of ServerCnxnFactory in org.apache.zookeeper.server
Modifier and Type
Class
Description
`class`
`NettyServerCnxnFactory`
`class`
`NIOServerCnxnFactory`
NIOServerCnxnFactory implements a multi-threaded ServerCnxnFactory using NIO non-blocking socket calls.
Fields in org.apache.zookeeper.server declared as ServerCnxnFactory
Modifier and Type
Field
Description
`protected ServerCnxnFactory`
ZooKeeperServer.`secureServerCnxnFactory`
`protected ServerCnxnFactory`
ZooKeeperServer.`serverCnxnFactory`
Methods in org.apache.zookeeper.server that return ServerCnxnFactory
Modifier and Type
Method
Description
`static ServerCnxnFactory`
ServerCnxnFactory.`createFactory()`
`static ServerCnxnFactory`
ServerCnxnFactory.`createFactory(int clientPort, int maxClientCnxns)`
`static ServerCnxnFactory`
ServerCnxnFactory.`createFactory(int clientPort, int maxClientCnxns, int backlog)`
`static ServerCnxnFactory`
ServerCnxnFactory.`createFactory(InetSocketAddress addr, int maxClientCnxns)`
`static ServerCnxnFactory`
ServerCnxnFactory.`createFactory(InetSocketAddress addr, int maxClientCnxns, int backlog)`
`ServerCnxnFactory`
ZooKeeperServer.`getSecureServerCnxnFactory()`
`ServerCnxnFactory`
ZooKeeperServer.`getServerCnxnFactory()`
Methods in org.apache.zookeeper.server with parameters of type ServerCnxnFactory
Modifier and Type
Method
Description
`static int`
ServerCnxnHelper.`getMaxCnxns(ServerCnxnFactory secureServerCnxnFactory, ServerCnxnFactory serverCnxnFactory)`
gets maximum number of connections in ZooKeeper
`void`
ZooKeeperServer.`setSecureServerCnxnFactory(ServerCnxnFactory factory)`
`void`
ZooKeeperServer.`setServerCnxnFactory(ServerCnxnFactory factory)`

## Uses of ServerCnxnFactory in org.apache.zookeeper.server.command

Fields in org.apache.zookeeper.server.command declared as ServerCnxnFactory
Modifier and Type
Field
Description
`protected ServerCnxnFactory`
AbstractFourLetterCommand.`factory`
Methods in org.apache.zookeeper.server.command with parameters of type ServerCnxnFactory
Modifier and Type
Method
Description
`boolean`
CommandExecutor.`execute(ServerCnxn serverCnxn, PrintWriter pwriter, int commandCode, ZooKeeperServer zkServer, ServerCnxnFactory factory)`
This class decides which command to be executed and then executes
`void`
AbstractFourLetterCommand.`setFactory(ServerCnxnFactory factory)`

## Uses of ServerCnxnFactory in org.apache.zookeeper.server.controller

Subclasses of ServerCnxnFactory in org.apache.zookeeper.server.controller
Modifier and Type
Class
Description
`class`
`ControllableConnectionFactory`
Extension of NIOServerCnxnFactory which can inject changes per controller commands.
Methods in org.apache.zookeeper.server.controller that return ServerCnxnFactory
Modifier and Type
Method
Description
`protected ServerCnxnFactory`
ZooKeeperServerController.`getCnxnFactory()`

## Uses of ServerCnxnFactory in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum with parameters of type ServerCnxnFactory
Modifier and Type
Method
Description
`void`
QuorumPeer.`setCnxnFactory(ServerCnxnFactory cnxnFactory)`
`void`
QuorumPeer.`setSecureCnxnFactory(ServerCnxnFactory secureCnxnFactory)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type ServerCnxnFactory
Modifier
Constructor
Description
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File dataDir, File dataLogDir, int electionType, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, boolean quorumListenOnAllIPs, ServerCnxnFactory cnxnFactory, QuorumVerifier quorumConfig)`
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File dataDir, File dataLogDir, int electionType, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, ServerCnxnFactory cnxnFactory)`
For backward compatibility purposes, we instantiate QuorumMaj by default.